
Core - Bug # 27250

Bug # 25335 (Resolved): Make TYPO3 free of NOTICE errors

Status: Resolved Priority: Should have
Author: Stefan Neufeind Category:
Created: 2011-06-06 Assigned To:
Updated: 2014-09-15 Due date:
TYPO3 Version: 4.6
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Get rid of error_reporting() at various places in the source
Description

At several places we currently have:
error_reporting(E_ALL ^ E_NOTICE ^ E_DEPRECATED);

I'd suggest we should leave it up to the administrator if he wants TYPO3 to "mess" with his error_reporting or not. Currently things like
E_NOTICE can't even be activated explicitly for testing.

We could have an error_reporting-setting in installtool and if this localconf-variable is set, we'll set error_reporting(). But it can also be
explicitly not set. Migration from TYPO3 4.5 to 4.6 (as with forceCharset on the move 4.4 to 4.5) should be to automatically set this to
E_ALL ^ E_NOTICE ^ E_DEPRECATED in upgrade-wizard.

It also would make working on #25335 (getting rid of E_NOTICE-errors in the core) a lot easier.

Associated revisions
Revision 6b307242 - 2014-09-15 18:15 - Stefan Neufeind

[TASK] Remove error_reporting from thumbs.php

Change-Id: I0aab3f628325fb2db3276d5d6d9e878e6328be0f
Resolves: #27250
Releases: 6.3, 6.2
Reviewed-on: http://review.typo3.org/32783
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>

Revision 7cc52723 - 2014-09-15 18:16 - Stefan Neufeind

[TASK] Remove error_reporting from thumbs.php

Change-Id: I0aab3f628325fb2db3276d5d6d9e878e6328be0f
Resolves: #27250
Releases: 6.3, 6.2
Reviewed-on: http://review.typo3.org/32785
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>

History
#1 - 2011-06-06 13:31 - Chris topher
- Parent task set to #25335

#2 - 2014-09-15 14:15 - Alexander Opitz
- Status changed from New to Needs Feedback
- Is Regression set to No

Hi,

as this issue is very old. Does the problem still exists within newer versions of TYPO3 CMS (6.2.4)?

#3 - 2014-09-15 14:43 - Stefan Neufeind

We have error-reporting-settings meanwhile.

Searching across the current master-tree, besides testcases and some libs (adodb) what I found was:
typo3/thumbs.php
22:error_reporting(E_ALL & ~(E_STRICT | E_NOTICE | E_DEPRECATED));

typo3/sysext/core/Classes/Core/SystemEnvironmentBuilder.php
296:            error_reporting(E_ALL & ~(E_STRICT | E_NOTICE | E_DEPRECATED));

I expect in SystemEnvironmentBuilder it is needed? In thumbs.php maybe not since that uses the official bootstrapping?

#4 - 2014-09-15 16:06 - Alexander Opitz

Shouldn't typo3/thumbs.php not deprecate? ;-)

Anyway, it looks like it can be removed.

#5 - 2014-09-15 16:10 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32783

#6 - 2014-09-15 16:12 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32783

#7 - 2014-09-15 18:16 - Gerrit Code Review
Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32785

#8 - 2014-09-15 18:30 - Stefan Neufeind
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6b307242e9bf70bf0492e79d65a5b58a76ae5f45.
